#
# spec file for package drac (Version 1.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         drac
Copyright:    University of Manitoba 1998.
Group:        Networking/Daemons
Url:          http://mail.cc.umanitoba.ca/drac/index.html
Provides:     drac
Autoreqprov:  on
Summary:      Dynamic Relay Authorization Control
Version:      1.11
Release:      43
Source:       drac-%{version}.tar.gz
Patch: drac.dif
# ---------------------------------------------------------------------------
%prep
%setup -n drac
%patch -p 1
# ---------------------------------------------------------------------------

%build
make
# ---------------------------------------------------------------------------

%install
make install
make install-man MAN=%{_mandir}/man
install -m 755 libdrac.a /usr/lib/libdrac.a
install -g root -m 755 -o root rc.dracd /etc/init.d/dracd
ln -sf ../etc/init.d/dracd /sbin/rcdracd
mkdir -p /var/adm/fillup-templates
install -m 644 dracd.rc.config /var/adm/fillup-templates/rc.config.dracd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.dracd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.dracd and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/dracd

%postun
sbin/insserv etc/init.d/

%files
%doc %{_mandir}/man3/dracauth.3.gz
%doc %{_mandir}/man8/rpc.dracd.8.gz
%doc COPYRIGHT Changes INSTALL PORTING README
/usr/sbin/rpc.dracd
/usr/lib/libdrac.a
/etc/init.d/dracd
/sbin/rcdracd
/var/adm/fillup-templates/rc.config.dracd

%description
DRAC is a daemon that dynamically updates a relay authorization map
for sendmail. It provides a way to allow legitimate users to relay
mail through an SMTP server, while still preventing others from using
it as a spam relay. User's IP addresses are added to the map
immediately after they have authenticated to the POP or IMAP
server.

Authors:
--------
    Gary Mills <mills@cc.umanitoba.ca>

SuSE series: n


%changelog -n drac
* Thu Jun 28 2001 - choeger@suse.de
- update to version 1.11
- bugfix: init script was not LSB compliant, Bugzilla ID#8987
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Tue Nov 28 2000 - kukuk@suse.de
- Move init script to /etc/init.d
* Wed Nov 22 2000 - choeger@suse.de
- adopted to new init scheme
* Mon Nov 06 2000 - ro@suse.de
- fixed to compile with db3 (as db_185)
* Wed May 24 2000 - choeger@suse.de
- added init-scripts
* Wed May 17 2000 - ro@suse.de
- fix install of man-pages
* Thu May 11 2000 - choeger@suse.de
- first version, 1.10
